## LassoSaSASLRequest LassoSaSASLRequest — <sa:SASLRequest> |

## Functions

LassoSaSASLRequest * | lasso_sa_sasl_request_new ()

## Types and Values

struct | LassoSaSASLRequest

## Description

Figure 130. Schema fragment for sa:SASLRequest

     <xs:element name="SASLRequest">
       <xs:complexType>
         <xs:sequence>
           <xs:element name="Data" minOccurs="0">
             <xs:complexType>
               <xs:simpleContent>
                 <xs:extension base="xs:base64Binary"/>
               </xs:simpleContent>
             </xs:complexType>
           </xs:element>
           <xs:element ref="lib:RequestAuthnContext" minOccurs="0"/>
         </xs:sequence>
         <xs:attribute name="mechanism"type="xs:string" use="required"/>
         <xs:attribute name="authzID" type="xs:string" use="optional"/>
         <xs:attribute name="advisoryAuthnID" type="xs:string" use="optional"/>
         <xs:attribute name="id" type="xs:ID"use="optional"/>
       </xs:complexType>
     </xs:element>

## Functions

### lasso_sa_sasl_request_new ()

    LassoSaSASLRequest *
    lasso_sa_sasl_request_new (const char *mechanism);

## Types and Values

### struct LassoSaSASLRequest

    struct LassoSaSASLRequest {
    	LassoNode parent;

    	GList *Data; /* of string */
    	LassoLibRequestAuthnContext *RequestAuthnContext;

    	char *mechanism;
    	char *authzID;
    	char *advisoryAuthnID;
    	char *id;
    };